Index: src/uk/me/parabola/mkgmap/combiners/NsisBuilder.java
===================================================================
--- src/uk/me/parabola/mkgmap/combiners/NsisBuilder.java	(revision 4922)
+++ src/uk/me/parabola/mkgmap/combiners/NsisBuilder.java	(working copy)
@@ -21,11 +21,15 @@
 import java.io.InputStream;
 import java.io.InputStreamReader;
 import java.io.PrintWriter;
+import java.nio.file.Files;
+import java.nio.file.Paths;
+import java.nio.file.StandardCopyOption;
 import java.util.ArrayList;
 import java.util.List;
 import java.util.Locale;
 import java.util.Map;
 
+import uk.me.parabola.imgfmt.ExitException;
 import uk.me.parabola.imgfmt.Utils;
 import uk.me.parabola.log.Logger;
 import uk.me.parabola.mkgmap.CommandArgs;
@@ -86,6 +90,15 @@
 	public void onFinish() {
 		writeNsisFile();
 		writeLicenceFile();
+		if (typName != null) {
+			File file = new File(typName);
+			try {
+				Files.copy(file.toPath(), Paths.get(outputDir).resolve(file.getName()),
+						StandardCopyOption.REPLACE_EXISTING);
+			} catch (IOException e) {
+				throw new ExitException("Error writing modified typ file", e);
+			}
+		}
 	}
 
 	private void writeNsisFile() {
